jackson-databind 最新反序列化远程代码执行漏洞预警(CVE-2020-24750)

一、概要

近日,华为云关注到业界爆出jackson-databind存在一处新的反序列化远程代码执行漏洞(CVE-2020-24750),该漏洞是由于com.pastdev.httpcomponents:configuration 组件库存在不安全的反序列化,导致攻击者可以利用漏洞实现远程代码执行。

华为云提醒使用jackson-databind的用户及时安排自检并做好安全加固。

参考链接:

https://github.com/FasterXML/jackson-databind/issues/2798

二、威胁级别

威胁级别:【严重】

(说明:威胁级别共四级:一般、重要、严重、紧急)

三、漏洞影响范围

影响版本:

jackson-databind < 2.9.10.6 

安全版本:

jackson-databind 2.9.10.6

四、漏洞处置

目前官方已在最新版本中修复了该漏洞,请受影响的用户升级至安全版本。

下载地址:https://github.com/FasterXML/jackson-databind/releases/tag/jackson-databind-2.9.10.6

注:修复漏洞前请将资料,并进行充分测试。


联系我们

4000888724

在线咨询:点击这里给我发消息

邮件:service@hwc.cn

地址:甘肃思异工业技术有限公司


Telegram:@ChinaCloud
境外邮件:service@siyi.hk

QR code

添加华为云(甘肃)专属客户经理微信,获取更多华为云优惠信息!

×